com.streambase.liveview.client

## Class ConnectionClosedEvent

- java.lang.Object
- - java.util.EventObject
  - - com.streambase.liveview.client.AbstractConnectionEvent
    - - com.streambase.liveview.client.ConnectionClosedEvent

- All Implemented Interfaces:
    Serializable

      public final class ConnectionClosedEvent
      extends AbstractConnectionEvent

  Event dispatched when a `LiveViewConnection` closes.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionClosedEvent(Object source, LiveViewConnection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(ConnectionListener listener)` Dispatches this event to the listener
    `LiveViewConnection` | `getConnection()` Get the connection that was closed

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionClosedEvent

          public ConnectionClosedEvent(Object source,
                                       LiveViewConnection connection)

      Parameters:
        `source` - the source of the event
        `connection` - the connection that was closed

  - ### Method Detail

    - #### getConnection

          public LiveViewConnection getConnection()

      Get the connection that was closed
      Returns:
        the connection

    - #### dispatch

          public void dispatch(ConnectionListener listener)

      Dispatches this event to the listener
      Specified by:
        `dispatch` in class `AbstractConnectionEvent`
      Parameters:
        `listener` - the connection listener

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.